NMSettingSerial
3
LIBNM-UTIL Library

# NMSettingSerial

## Synopsis

    #define             NM_SETTING_SERIAL_SETTING_NAME
    enum                NMSettingSerialError;
    #define             NM_TYPE_SETTING_SERIAL_ERROR
    #define             NM_SETTING_SERIAL_ERROR
    GQuark              nm_setting_serial_error_quark       (void);
    #define             NM_SETTING_SERIAL_BAUD
    #define             NM_SETTING_SERIAL_BITS
    #define             NM_SETTING_SERIAL_PARITY
    #define             NM_SETTING_SERIAL_STOPBITS
    #define             NM_SETTING_SERIAL_SEND_DELAY
                        NMSettingSerial;
    GType               nm_setting_serial_get_type          (void);
    NMSetting *         nm_setting_serial_new               (void);
    guint               nm_setting_serial_get_baud          (NMSettingSerial *setting);
    guint               nm_setting_serial_get_bits          (NMSettingSerial *setting);
    char                nm_setting_serial_get_parity        (NMSettingSerial *setting);
    guint               nm_setting_serial_get_stopbits      (NMSettingSerial *setting);
    guint64             nm_setting_serial_get_send_delay    (NMSettingSerial *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingSerial

## Properties

      "baud"                     guint                 : Read / Write / Construct
      "bits"                     guint                 : Read / Write / Construct
      "parity"                   gchar                 : Read / Write / Construct
      "send-delay"               guint64               : Read / Write / Construct
      "stopbits"                 guint                 : Read / Write / Construct

## Description

## Details

### NM_SETTING_SERIAL_SETTING_NAME

    #define NM_SETTING_SERIAL_SETTING_NAME "serial"

### enum NMSettingSerialError

    typedef enum
    {
    	NM_SETTING_SERIAL_ERROR_UNKNOWN = 0,
    	NM_SETTING_SERIAL_ERROR_INVALID_PROPERTY,
    	NM_SETTING_SERIAL_ERROR_MISSING_PROPERTY,
    	NM_SETTING_SERIAL_ERROR_MISSING_PPP_SETTING
    } NMSettingSerialError;

### NM_TYPE_SETTING_SERIAL_ERROR

    #define NM_TYPE_SETTING_SERIAL_ERROR (nm_setting_serial_error_get_type ())

### NM_SETTING_SERIAL_ERROR

    #define NM_SETTING_SERIAL_ERROR nm_setting_serial_error_quark ()

### nm_setting_serial_error_quark ()

    GQuark              nm_setting_serial_error_quark       (void);

Returns :

### NM_SETTING_SERIAL_BAUD

    #define NM_SETTING_SERIAL_BAUD "baud"

### NM_SETTING_SERIAL_BITS

    #define NM_SETTING_SERIAL_BITS "bits"

### NM_SETTING_SERIAL_PARITY

    #define NM_SETTING_SERIAL_PARITY "parity"

### NM_SETTING_SERIAL_STOPBITS

    #define NM_SETTING_SERIAL_STOPBITS "stopbits"

### NM_SETTING_SERIAL_SEND_DELAY

    #define NM_SETTING_SERIAL_SEND_DELAY "send-delay"

### NMSettingSerial

    typedef struct _NMSettingSerial NMSettingSerial;

### nm_setting_serial_get_type ()

    GType               nm_setting_serial_get_type          (void);

Returns :

### nm_setting_serial_new ()

    NMSetting *         nm_setting_serial_new               (void);

Returns :

### nm_setting_serial_get_baud ()

    guint               nm_setting_serial_get_baud          (NMSettingSerial *setting);

`setting` :

Returns :

### nm_setting_serial_get_bits ()

    guint               nm_setting_serial_get_bits          (NMSettingSerial *setting);

`setting` :

Returns :

### nm_setting_serial_get_parity ()

    char                nm_setting_serial_get_parity        (NMSettingSerial *setting);

`setting` :

Returns :

### nm_setting_serial_get_stopbits ()

    guint               nm_setting_serial_get_stopbits      (NMSettingSerial *setting);

`setting` :

Returns :

### nm_setting_serial_get_send_delay ()

    guint64             nm_setting_serial_get_send_delay    (NMSettingSerial *setting);

`setting` :

Returns :

## Property Details

### The `"baud"` property

      "baud"                     guint                 : Read / Write / Construct

Speed to use for communication over the serial port. Note that this value usually has no effect for mobile broadband modems as they generally ignore speed settings and use the highest available speed.

Default value: 57600

### The `"bits"` property

      "bits"                     guint                 : Read / Write / Construct

Byte-width of the serial communication.

Allowed values: [5,8]

Default value: 8

### The `"parity"` property

      "parity"                   gchar                 : Read / Write / Construct

Parity setting of the serial port. Either 'E' for even parity, 'o' for odd parity, or 'n' for no parity.

Allowed values: [69,111]

Default value: 110

### The `"send-delay"` property

      "send-delay"               guint64               : Read / Write / Construct

Time to delay between each byte sent to the modem, in microseconds.

Default value: 0

### The `"stopbits"` property

      "stopbits"                 guint                 : Read / Write / Construct

Number of stop bits for communication on the serial port. Either 1 or 2. The 1 in '8n1' for example.

Allowed values: [1,2]

Default value: 1